commit:     7455db7f97f9ea014980a6df170ca0eb162d79ea
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  2 01:04:08 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Dec  2 01:04:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7455db7f

dev-libs/leatherman: bup

Package-Manager: portage-2.3.0

 dev-libs/leatherman/Manifest                |  1 +
 dev-libs/leatherman/leatherman-0.9.4.ebuild | 52 +++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-libs/leatherman/Manifest b/dev-libs/leatherman/Manifest
index bc6043a..c609b87 100644
--- a/dev-libs/leatherman/Manifest
+++ b/dev-libs/leatherman/Manifest
@@ -1,3 +1,4 @@
 DIST leatherman-0.9.0.tar.gz 392308 SHA256 
8d79a998caa47047bfc52093e6a50618458b5c0aa502a6cf61f9fb7a6451c3bb SHA512 
25c5edd58abad4e20d36ec7badb94aacc0f9a9e44200e710dcb3da116685396bba5b12ae806f9865e48d5d50c43a31486d8aa39fd853551ccf2c3eaa28859c8d
 WHIRLPOOL 
492ae8971368a8c7e3527a875c8cb4a46d5a767b80b45d32b33fa2f1c66a7d2ea4825c923a6993b1147ac8e68bb111c682ef5315c13a11a68bd583b3423e6656
 DIST leatherman-0.9.1.tar.gz 417376 SHA256 
dc436230edd65f5244a72d290c598a3889787c917c4aa1a10f4559149408de81 SHA512 
93fcb374eeac37a1e1009def0b94de8e7017764db7d18967da0409c34397e32249894de13e23509ecb37907388d7019e08e021db1d6909b1e8fe8b7b6e535c28
 WHIRLPOOL 
4e2c89322d349780624dff0670e353b923c159df9db20cf20272a8d7e80a899b85f949c2bbfc05e7a587ff845a5a342fc690be5dd3457d185b2d6850bf97ac47
 DIST leatherman-0.9.3.tar.gz 417894 SHA256 
3ede61039b8f15ca54cfa543e614bd115b6c862d3bf994c16d1783eb72ba0810 SHA512 
8888c58875d806a7a20ab4aa2e45a52e585f3fda784b38e0552ef8367c1ea6b71d557534e179a11e897f8fe9249373c7cd5777c5bf6c9900b9581c690b4be4cc
 WHIRLPOOL 
b9c738d5365a68d7ea497f0e30929323f6fa6ebd396a1f97ab2d73a13d3eb43e3ac64b501e64b1e82397869dfba4b7aaeace7ad9be4930bd842ff2ebe070be2b
+DIST leatherman-0.9.4.tar.gz 418077 SHA256 
a396514fef1ab5d14ebc745a9166ac4fcdf229e5378824302de751ef5ec2bee9 SHA512 
c08401856f5afc1b9d48cf31fa3c037ee9f316f4356419785c021696dff4628bfde92318ad0e50faf83aa9b205ebd479bbb46379431811cfec1dcbd5c88021f7
 WHIRLPOOL 
cdae73fc20e08603c81d98127f642e6720fae449f1f1fbb9ca591ffed051bb1efc5ba21ea93a041d9cc8c7c58844ed5fc7467f6e9107d325687609780e8e2a6d

diff --git a/dev-libs/leatherman/leatherman-0.9.4.ebuild 
b/dev-libs/leatherman/leatherman-0.9.4.ebuild
new file mode 100644
index 00000000..0bf5212
--- /dev/null
+++ b/dev-libs/leatherman/leatherman-0.9.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22"
+CMAKE_MIN_VERSION="3.2.2"
+
+inherit cmake-utils multilib ruby-ng
+
+DESCRIPTION="A C++ toolkit"
+HOMEPAGE="https://github.com/puppetlabs/leatherman";
+SRC_URI="https://downloads.puppetlabs.com/facter/${P}.tar.gz";
+SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${S}/all/${P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="debug test"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+
+CDEPEND="
+       >=sys-devel/gcc-4.8:*
+       >=dev-libs/boost-1.54[nls]
+       net-misc/curl"
+
+RDEPEND+=" ${CDEPEND}"
+DEPEND+=" test? ( ${CDEPEND} )"
+
+src_prepare() {
+       sed -i 's/\-Werror\ //g' "cmake/cflags.cmake" || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_VERBOSE_MAKEFILE=ON
+               -DCMAKE_BUILD_TYPE=None
+               -DCMAKE_INSTALL_PREFIX=/usr
+               -DCMAKE_INSTALL_SYSCONFDIR=/etc
+               -DCMAKE_INSTALL_LOCALSTATEDIR=/var
+       )
+       if use debug; then
+               mycmakeargs+=(
+                 -DCMAKE_BUILD_TYPE=Debug
+               )
+       fi
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+}

Reply via email to